
Figure - Bug #117961
【IOV-28225】【VC1】【0080】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】反复点击音量
按钮，OSD音量条会出现不同步的现象。
2023-05-16 16:43 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-15

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 95 usedebug版本

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、进入副屏遥控器应用，音量条处于非静音状态

2、反复点击音量按钮

【实际结果】

2、点击音量按钮停止后，弹出的音量条依旧会反复跳动几次

【期望结果】

2、弹出的音量条和点击应同步变动

【复归方法】无

【复现率】5/5

测试时间：2023 0516 （日志时间是：11月11日 16：08）

副屏版本：95 usedebug版本

Related issues:

Related to Figure - Bug # 118215: 【IOVDEV-30209】【内部】【VC1】... CLOSED 2023-05-24

History

#1 - 2023-05-16 16:43 - CDTS_TEST 王成

根据主屏日志 视频内对应时间点发送了音量调节请求

Line 140414: 11-11 16:08:02.201 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":11}

Line 141440: 11-11 16:08:03.282 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":0}

Line 141967: 11-11 16:08:03.486 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":11}

...................................

Line 180970: 11-11 16:08:43.741 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":11}

Line 181450: 11-11 16:08:43.917 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:
{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":0}

Line 181870: 11-11 16:08:44.095 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":11}

Line 182332: 11-11 16:08:44.453 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":11}

Line 182740: 11-11 16:08:44.991 D/RemoteControlClient_SocketMessageUtil( 4770): Send message to service finished. direction: 1, messageType: 19, json:

{"type":"music","source":0,"token":"BYdGz1fZZDdu2YZ","value":0}

#2 - 2023-05-16 18:58 - CDTS_TEST 王成

- Category set to CD-FW

#3 - 2023-05-16 21:56 - CD FW-程天颖

- Status changed from New to ASSIGNED

初步分析是中控副屏使用音量调节的然后反馈给中控的链路太长耗费时间过久，信息堆积导致相应过慢，需要具体分析每段的耗时，并优化

#4 - 2023-05-16 21:57 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#5 - 2023-05-18 15:49 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

通过遥控器设置音量的流程如下：

中控遥控器设置音量 -> 通过 Socket 发送设置音量的消息给副屏 -> 副屏收到设置音量的消息 -> 通过 AudioManager 设置音量 -> AudioManager 音量值通过

微服务同步给中控（Socket 消息） -> 中控收到消息后设置音量并更新界面。

结论：

通过日志查看，音量设置流程执行正常，由于同步音量的环节较多，在进行快速操作的场景下，出现延迟是正常现象。

■ Next action

测试确认并同步客户。

#6 - 2023-05-19 17:31 - CD TEST-方永红

- Assignee changed from CDTS_TEST 王成 to CD FW-程天颖

客户反馈如下：

从体验上延迟反应明显，请调研是否有其他解决方案

#7 - 2023-05-19 17:39 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

#8 - 2023-05-19 18:04 - CD FW-廖涛

- Assignee changed from CD FW-程天颖 to CD FW-廖涛
#9 - 2023-05-22 22:12 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#10 - 2023-05-23 17:17 - CD FW-程天颖

--------------------最后一次收到遥控器音量指令

03-22 01:18:24.170  2409  2582 D 2582_RemoteControlService_RemoteSocketService: getEvent: clientSocket = Socket[address=/192.168.4.4,port=40639,localPort=12600]

03-22 01:18:24.171  2409  2582 D 2582_RemoteControlService_RemoteSocketService: run: called

03-22 01:18:24.171  2409  2582 D 2582_RemoteControlService_RemoteSocketService: getEvent: start waiting...

03-22 01:18:24.173  2409  4702 E 4702_RemoteControlService_RemoteSocketService: Enter ListenSocketRunnable

03-22 01:18:24.175  2409  4702 D 4702_RemoteControlService_SocketMessageUtil: After desEncrypt json is

[{"type":"music","source":0,"token":"iGrqERvansyF2aG","value":10}]

03-22 01:18:24.175  2409  4702 D 4702_RemoteControlService_RemoteCommandFactory: buildRemoteCommand:type=19

03-22 01:18:24.176  2409  4702 D 4702_RemoteControlService_BaseCommand: Request params: BaseRequestCommandBean{source=0, token='iGrqERvansyF2aG',

type='music', value='10'}

03-22 01:18:24.228  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:24.229  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:24.230  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:24.231  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1753

03-22 01:18:24.231  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:24.231  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:67

03-22 01:18:24.231  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:24.232  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:24.232  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:24.233  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:24.233  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:24.233  1087  2001 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.234  1087  2001 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

03-22 01:18:24.242  2035  4704 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569504234288709',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569504234288709,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:24.269  2035  4705 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569504234288709',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569504234288709,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:24.270  2035  4705 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.272  1087  2664 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.272  1087  2664 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

03-22 01:18:24.273  2035  4705 D MicroService: handleHeartBeat:105

03-22 01:18:24.273  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

03-22 01:18:24.273  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0

03-22 01:18:24.312  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 0

03-22 01:18:24.428  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

C1B0FABD2EE39422003AAD43C30C56AD1C241E3B0F3314E35ED6630B10AF9074

03-22 01:18:24.428  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

2025-07-04 3/11



03-22 01:18:24.429  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":0}

03-22 01:18:24.431  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1782

03-22 01:18:24.431  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:24.431  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:68

03-22 01:18:24.431  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:24.432  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:24.432  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:24.435  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=10, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:24.435  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:24.435  1087  2001 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.436  1087  2001 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}.

03-22 01:18:24.445  2035  4706 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569504436422823',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569504436422823,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:24.479  2035  4708 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569504436422823',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569504436422823,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:24.479  2035  4708 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.482  1087  2254 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.482  1087  2254 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=true

03-22 01:18:24.482  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 10

03-22 01:18:24.482  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume: 10

03-22 01:18:24.483  2035  4708 D MicroService: handleHeartBeat:106

03-22 01:18:24.505  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 10

03-22 01:18:24.579  2409  4236 D 4236_RemoteControlService_RemoteControllerSource: heart beat timer called

03-22 01:18:24.639  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:24.640  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:24.642  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:24.645  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1838

03-22 01:18:24.645  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:24.645  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:69

03-22 01:18:24.645  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:24.645  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:24.646  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:24.647  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:24.647  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:24.647  1087  2001 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.648  1087  2001 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

03-22 01:18:24.660  2035  4709 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569504648188031',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569504648188031,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}
03-22 01:18:24.687  2035  4710 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569504648188031',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569504648188031,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:24.688  2035  4710 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.690  1087  1402 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:24.690  1087  1402 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

03-22 01:18:24.690  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

03-22 01:18:24.690  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0

03-22 01:18:24.692  2035  4710 D MicroService: handleHeartBeat:107

03-22 01:18:24.844  2035  2035 D MicroService: onHeartBeatDetected

03-22 01:18:24.844  2035  2035 D MicroService: sendHeartbeatMessage

03-22 01:18:24.860  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 0

03-22 01:18:24.863  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

C1B0FABD2EE39422003AAD43C30C56AD1C241E3B0F3314E35ED6630B10AF9074

03-22 01:18:24.863  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:24.864  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":0}

03-22 01:18:24.866  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1883

03-22 01:18:24.866  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:24.869  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:70

03-22 01:18:24.870  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:24.870  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:24.870  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:24.872  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=10, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:24.872  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:24.872  1087  2001 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.872  1087  2001 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}.

03-22 01:18:24.887  2035  4713 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569504873157979',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569504873157979,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:24.913  2035  4714 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569504873157979',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569504873157979,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:24.914  2035  4714 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.915  1087  2664 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:24.915  1087  2664 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=true

03-22 01:18:24.915  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 10

03-22 01:18:24.915  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume: 10

03-22 01:18:24.917  2035  4714 D MicroService: handleHeartBeat:108

03-22 01:18:24.980  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 10

03-22 01:18:25.090  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:25.090  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133
03-22 01:18:25.091  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:25.093  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1933

03-22 01:18:25.094  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.095  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:71

03-22 01:18:25.095  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.095  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.095  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.098  2409  2560 I 2560_RemoteControlService_RemoteVolumeQueryCommand: RemoteVolumeQueryCommand doAction send message:

{"source":0,"token":"iGrqERvansyF2aG","type":"current_volume","value":[{"name":"music","value":10,"value_max":39},{"name":"alarm","value":3,"value_max":7},{"name":

"ring","value":2,"value_max":7}]}

03-22 01:18:25.099  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

DC988B426AA7324662553312DA8A02F8553B732DB73B848C68DB1600871CD442

03-22 01:18:25.099  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 245

03-22 01:18:25.100  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 23, json:

{"source":0,"token":"iGrqERvansyF2aG","type":"current_volume","value":[{"name":"music","value":10,"value_max":39},{"name":"alarm","value":3,"value_max":7},{"name":

"ring","value":2,"value_max":7}]}

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeQueryCommand ResponseSpeedTest - use time: 1887

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:72

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.103  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.104  2409  2560 I 2560_RemoteControlService_RemoteScreenStatusQueryCommand: RemoteScreenStatusQueryCommand doAction send message:

{"source":0,"token":"iGrqERvansyF2aG","type":"current_screen_status","value":"screen_on"}

03-22 01:18:25.104  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

7C875095845090A59C2F7F5521C1FF74C4BEA7C20EFFAE311F9D0FD8FEF832FA

03-22 01:18:25.106  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:25.108  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 37, json:

{"source":0,"token":"iGrqERvansyF2aG","type":"current_screen_status","value":"screen_on"}

03-22 01:18:25.109  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteScreenStatusQueryCommand ResponseSpeedTest - use time: 1895

03-22 01:18:25.109  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.109  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:73

03-22 01:18:25.109  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.109  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.110  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.110  1087  2664 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:25.110  1087  2664 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:25.110  1087  2664 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:25.110  1087  2664 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

03-22 01:18:25.124  2035  4716 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569505111946990',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569505111946990,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:25.167  2035  4717 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569505111946990',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569505111946990,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:25.167  2035  4717 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}}
03-22 01:18:25.170  1087  2254 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:25.171  1087  2254 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

03-22 01:18:25.171  2035  4717 D MicroService: handleHeartBeat:109

03-22 01:18:25.171  1087  2664 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

03-22 01:18:25.171  1087  2664 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0

03-22 01:18:25.197  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 0

03-22 01:18:25.198  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

C1B0FABD2EE39422003AAD43C30C56AD1C241E3B0F3314E35ED6630B10AF9074

03-22 01:18:25.198  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:25.199  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":0}

03-22 01:18:25.200  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 1875

03-22 01:18:25.200  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.201  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:74

03-22 01:18:25.201  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.201  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.201  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.343  1087  2306 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=10, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:25.343  1087  2306 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:25.343  1087  2306 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.343  1087  2306 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}.

03-22 01:18:25.353  2035  4719 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569505345147094',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569505345147094,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:25.375  2035  4720 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569505345147094',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569505345147094,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:25.376  2035  4720 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.377  1087  2001 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.378  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=true

03-22 01:18:25.378  2035  4720 D MicroService: handleHeartBeat:110

03-22 01:18:25.378  1087  2306 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 10

03-22 01:18:25.378  1087  2306 D AS.AudioService: idcm_volume:setIDCMicroVolume: 10

03-22 01:18:25.428  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 10

03-22 01:18:25.542  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:25.542  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:25.543  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:25.547  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 2041

03-22 01:18:25.547  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.547  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:75

03-22 01:18:25.547  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.547  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.548  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.549  1087  2254 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.thundercomm.remotecontrolservice)
03-22 01:18:25.549  1087  2254 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:25.549  1087  2254 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:25.549  1087  2254 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

03-22 01:18:25.563  2035  4722 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569505550095635',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569505550095635,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:25.600  2035  4723 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569505550095635',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569505550095635,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:25.601  2035  4723 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:25.603  1087  2001 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:25.603  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

03-22 01:18:25.604  1087  2254 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

03-22 01:18:25.604  1087  2254 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0

03-22 01:18:25.604  2035  4723 D MicroService: handleHeartBeat:111

03-22 01:18:25.639  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 0

03-22 01:18:25.670  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

C1B0FABD2EE39422003AAD43C30C56AD1C241E3B0F3314E35ED6630B10AF9074

03-22 01:18:25.671  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:25.671  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":0}

03-22 01:18:25.674  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 2011

03-22 01:18:25.674  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:25.675  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:76

03-22 01:18:25.675  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:25.675  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:25.675  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:25.778  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=10, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:25.778  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:25.778  1087  2001 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.778  1087  2001 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}.

03-22 01:18:25.791  2035  4724 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569505778512510',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569505778512510,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:25.835  2035  4725 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569505778512510',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569505778512510,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:25.835  2035  4725 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.837  1087  2757 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:25.838  1087  2757 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=true

03-22 01:18:25.838  1087  2001 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 10

03-22 01:18:25.838  1087  2001 D AS.AudioService: idcm_volume:setIDCMicroVolume: 10

03-22 01:18:25.838  2035  4725 D MicroService: handleHeartBeat:112

03-22 01:18:25.932  2035  4726 D MicroService: handleHeartBeat:113
03-22 01:18:25.973  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 10

03-22 01:18:26.007  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:26.007  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:26.007  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 2157

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:77

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:26.009  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

03-22 01:18:26.013  1087  2757 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=0, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:26.013  1087  2757 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:26.013  1087  2757 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:26.013  1087  2757 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

03-22 01:18:26.028  2035  4728 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569506014971885',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569506014971885,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:26.053  2035  4729 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569506014971885',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569506014971885,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

03-22 01:18:26.053  2035  4729 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:26.055  1087  2306 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

03-22 01:18:26.055  1087  2306 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

03-22 01:18:26.056  1087  2757 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0

03-22 01:18:26.056  1087  2757 D AS.AudioService: idcm_volume:setIDCMicroVolume: 0

03-22 01:18:26.056  2035  4729 D MicroService: handleHeartBeat:114

03-22 01:18:26.222  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 0

03-22 01:18:26.223  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

C1B0FABD2EE39422003AAD43C30C56AD1C241E3B0F3314E35ED6630B10AF9074

03-22 01:18:26.224  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:26.225  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":0}

03-22 01:18:26.227  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 2197

03-22 01:18:26.228  2409  2560 D 2560_RemoteControlService_RemoteControlService: handleMessage called

03-22 01:18:26.228  2409  2560 D 2560_RemoteControlService_RemoteControllerSource: Client-192.168.4.4 handleHeartBeat:78

03-22 01:18:26.228  2409  2560 D 2560_RemoteControlService_BaseCommand: Is not connect command

03-22 01:18:26.228  2409  2560 D 2560_RemoteControlService_RemoteControlManager: haveControl ?

clientcom.thundercomm.remotecontrolservice.RemoteControllerClient@b5d8af0

03-22 01:18:26.228  2409  2560 D 2560_RemoteControlService_BaseCommand: Client have control

遥控器最后一次给使用audio服务调节音量----------------------耗时等待约2s

03-22 01:18:26.230  1087  1148 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=10, calling=com.thundercomm.remotecontrolservice)

03-22 01:18:26.230  1087  1148 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

03-22 01:18:26.230  1087  1148 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:26.230  1087  1148 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}.

2025-07-04 9/11



03-22 01:18:26.242  2035  4731 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='3667569506230605010',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":3667569506230605010,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

中控最后一次收到中控回复

03-22 01:18:26.262  2035  4732 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='3667569506230605010',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":3667569506230605010,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}}}

03-22 01:18:26.262  2035  4732 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

audio接收到回复

03-22 01:18:26.265  1087  1147 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"10"}}

03-22 01:18:26.266  1087  1147 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=true

03-22 01:18:26.266  1087  1148 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 10

03-22 01:18:26.266  1087  1148 D AS.AudioService: idcm_volume:setIDCMicroVolume: 10

03-22 01:18:26.266  2035  4732 D MicroService: handleHeartBeat:115

03-22 01:18:26.429  2409  2560 D 2560_RemoteControlService_RemoteControlService: setVolume called, target type: music, target volume 10

03-22 01:18:26.431  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Digest:

B4E9ACEABD33AA2F0B7B170DEFC47FF2631F1B48B9AC16B166C18752E30F39DC

03-22 01:18:26.431  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send data length: 133

03-22 01:18:26.431  2409  2560 D 2560_RemoteControlService_SocketMessageUtil: Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"iGrqERvansyF2aG","type":"volume_change","value":10}

03-22 01:18:26.434  2409  2560 D 2560_RemoteControlService_ResponseSpeedTest: RemoteVolumeCommand ResponseSpeedTest - use time: 2264

延迟的原因是遥控器服务端串行处理事件，如果同时处理过多的事件会导致堆积，如果改为多线程可提升相应速度，但是存在风险

可能会导致后来事件先执行，对音量调节，鼠标控制可能有影响，需要斟酌保持现状还是进行优化

#11 - 2023-05-24 19:27 - CD FW-廖涛

■ Current conclusion

还未与客户沟通，暂时没有进展。

#12 - 2023-06-01 15:23 - CD FW-廖涛

- Priority changed from High to Normal

- Severity changed from Major to Normal

■ Current conclusion

根据和周飞，卿山的沟通，该问题先保持现状。

因上述原因，降低 BUG 优先级。

#13 - 2023-06-14 15:58 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD TPM-王祥林

Hi，祥林哥，麻烦评估下这个票。
#14 - 2023-06-14 16:03 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

- Resolution changed from -- to WONTFIX

jira票已经关闭，内部票close

#15 - 2023-06-25 17:53 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户已关闭BUG，反馈信息如下：

1、从产品体验上，用户调节中控屏系统音量即可完成副屏音量调节，遥控器应用内的音量条OSD不必展示，建议删除

2、中控的90版本去掉应用app音量调节需求，可关闭该问题。

#16 - 2023-06-25 17:54 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230516-102900.mp4 10.9 MB 2023-05-16 CDTS_TEST 王成

副屏.log.txt 2.68 MB 2023-05-16 CDTS_TEST 王成

主屏.7z 1.24 MB 2023-05-16 CDTS_TEST 王成
